package org.websparrow.action;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.struts2.convention.annotation.ParentPackage;
import org.apache.struts2.convention.annotation.Result;

import com.opensymphony.xwork2.ActionSupport;

@Result(name = "success", type = "json")
@ParentPackage("json-default")
public class StrutsJsonAnnotationAction extends ActionSupport {

    private static final long serialVersionUID = 3516335522937177571L;
    private String name = "Narendra Modi";
    private String designation = "Prime Minister of India";
    private String dob = "17 September 1950";
    private String[] education = {"MA", "BA"};
    private List<String> favBooks = new ArrayList<String>();
    private Map<String, String> assumedOffice = new HashMap<String, String>();

    public StrutsJsonAnnotationAction() {

        favBooks.add("Ramayan");
        favBooks.add("Geeta");

        assumedOffice.put("President", "Pranab Mukherjee");
        assumedOffice.put("Preceded by", "Manmohan Singh");
    }

    @org.apache.struts2.convention.annotation.Action("/india")
    @Override
    public String execute() {
        return SUCCESS;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesignation() {
        return designation;
    }

    public void setDesignation(String designation) {
        this.designation = designation;
    }

    public String getDob() {
        return dob;
    }

    public void setDob(String dob) {
        this.dob = dob;
    }

    public String[] getEducation() {
        return education;
    }

    public void setEducation(String[] education) {
        this.education = education;
    }

    public List<String> getFavBooks() {
        return favBooks;
    }

    public void setFavBooks(List<String> favBooks) {
        this.favBooks = favBooks;
    }

    public Map<String, String> getAssumedOffice() {
        return assumedOffice;
    }

    public void setAssumedOffice(Map<String, String> assumedOffice) {
        this.assumedOffice = assumedOffice;
    }

}
